#!/bin/sh

if alert "Are you sure you want to install the CPiA driver?" "No" "Yes" ; then
  exit
fi

cwd=$(dirname $0)

######################
#install kernel driver
######################
cp --force --verbose $cwd/addon/cpiappc2* ~/config/add-ons/kernel/drivers/bin/
mkdir --parents --verbose ~/config/add-ons/kernel/drivers/dev/video/cpia
ln --symbolic --force --verbose ../../../bin/cpiappc2 ~/config/add-ons/kernel/drivers/dev/video/cpia/

##################################
#install kernel driver config file
##################################
installcfg=yes
if [ -e ~/config/settings/kernel/drivers/cpiappc2 ] ; then
  if ! alert "Do you want to overwrite the existing kernel config file?" "Yes" "No" ; then
    installcfg=no
  fi
fi
if [ $installcfg = yes ] ; then
	cp --force --verbose $cwd/addon/cfg_cpiappc2 ~/config/settings/kernel/drivers/cpiappc2
fi

###################
#install media node
###################
cp --force --verbose $cwd/addon/CPiACam.media_addon* ~/config/add-ons/media/

###########################
#activate the kernel driver
###########################
rescan cpiappc2

alert "You must restart the MediaServer before the driver will work" "Ok"

